<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.0 Transitional//EN""http://www.w3.org/TR/REC-html40/loose.dtd">

Overview | Package | Class | Tree | Deprecated | Index | Help
| Oracle Application Server Containers for J2EE Support for JavaServer Pages API Reference 10g (9.0.4) B10387-01
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## oracle.jsp.jml
Class JmlFPNumber

    java.lang.Object
      |
      +--oracle.jsp.jml.JmlFPNumber

All Implemented Interfaces:
  java.io.Serializable

public final class JmlFPNumber
extends java.lang.Object
implements java.io.Serializable

JmlFPNumber wraps the primitive type `double` in a Java bean. It has a single property, `value` that represents the bean's typed value. It is designed to work more effectively in JSPs than Java primitive types or their corresponding wrapper `java.lang.*` objects. Specifically, JmlFPNumber overcomes:

- inability to attach Java primitive types on JSP scope (objects).
- inability to declare most `java.lang.*` objects using <jsp:useBean>
- inability to modify a `java.lang.*` object's value after created.

See Also:
  Serialized Form

Constructor Summary
`JmlFPNumber()` Constructs a default `JmlFPNumber` object.
`JmlFPNumber(double num)` Constructs a `JmlFPNumber` object whose value is `double`.
`JmlFPNumber(java.lang.Double num)` Constructs a `JmlFPNumber` object whose value is `java.lang.Double`.
`JmlFPNumber(float num)` Constructs a `JmlFPNumber` object whose value is `float`.
`JmlFPNumber(java.lang.Float num)` Constructs a `JmlFPNumber` object whose value is `java.lang.Float`.
`JmlFPNumber(int num)` Constructs a `JmlFPNumber` object whose value is `int`.
`JmlFPNumber(java.lang.Integer num)` Constructs a `JmlFPNumber` object whose value is `java.lang.Integer`.
`JmlFPNumber(JmlFPNumber num)` Constructs a `JmlFPNumber` object whose value is `JmlFPNumber`.
`JmlFPNumber(java.lang.String num)` Constructs a `JmlFPNumber` object whose value is `java.lang.String`.

Method Summary
`boolean` | `equals(double num)` Tests whether the beans's `value` property is equal to `double`.
`double` | `getValue()` Returns the beans's `value` property as a `double`.
`void` | `setTypedValue(double num)` Sets the beans's `value` property to the `double`.
`void` | `setTypedValue(java.lang.Double num)` Sets the beans's `value` property to the `java.lang.Double`.
`void` | `setTypedValue(float num)` Sets the beans's `value` property to the `float`.
`void` | `setTypedValue(java.lang.Float num)` Sets the beans's `value` property to the `java.lang.Float`.
`void` | `setTypedValue(int num)` Sets the beans's `value` property to the `int`.
`void` | `setTypedValue(java.lang.Integer num)` Sets the beans's `value` property to the `java.lang.Integer`.
`void` | `setTypedValue(JmlFPNumber num)` Sets the beans's `value` property to the `JmlFPNumber`.
`void` | `setTypedValue(java.lang.String num)` Sets the beans's `value` property to the `java.lang.String`.
`void` | `setValue(double num)` Sets the beans's `value` property to the `double`.
`java.lang.String` | `toString()` Returns the beans's `value` property as a `java.lang.String`.
`boolean` | `typedEquals(java.lang.Double num)` Tests whether the beans's `value` property is equal to `java.lang.Double`.
`boolean` | `typedEquals(float num)` Tests whether the beans's `value` property is equal to `float`.
`boolean` | `typedEquals(java.lang.Float num)` Tests whether the beans's `value` property is equal to `java.lang.Float`.
`boolean` | `typedEquals(int num)` Tests whether the beans's `value` property is equal to `int`.
`boolean` | `typedEquals(java.lang.Integer num)` Tests whether the beans's `value` property is equal to `java.lang.Integer`.
`boolean` | `typedEquals(JmlFPNumber num)` Tests whether the beans's `value` property is equal to `JmlFPNumber`.
`boolean` | `typedEquals(java.lang.String num)` Tests whether the beans's `value` property is equal to `java.lang.String`.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### JmlFPNumber

    public JmlFPNumber()

  Constructs a default `JmlFPNumber` object. The object's default `value` is `0`.

### JmlFPNumber

    public JmlFPNumber(java.lang.String num)

  Constructs a `JmlFPNumber` object whose value is `java.lang.String`. Conversion is equivalent to `java.lang.Double.valueOf()`.

### JmlFPNumber

    public JmlFPNumber(java.lang.Integer num)

  Constructs a `JmlFPNumber` object whose value is `java.lang.Integer`.

### JmlFPNumber

    public JmlFPNumber(int num)

  Constructs a `JmlFPNumber` object whose value is `int`.

### JmlFPNumber

    public JmlFPNumber(java.lang.Float num)

  Constructs a `JmlFPNumber` object whose value is `java.lang.Float`.

### JmlFPNumber

    public JmlFPNumber(float num)

  Constructs a `JmlFPNumber` object whose value is `float`.

### JmlFPNumber

    public JmlFPNumber(java.lang.Double num)

  Constructs a `JmlFPNumber` object whose value is `java.lang.Double`.

### JmlFPNumber

    public JmlFPNumber(double num)

  Constructs a `JmlFPNumber` object whose value is `double`.

### JmlFPNumber

    public JmlFPNumber(JmlFPNumber num)

  Constructs a `JmlFPNumber` object whose value is `JmlFPNumber`.

Method Detail

### getValue

    public double getValue()

  Returns the beans's `value` property as a `double`.

### setValue

    public void setValue(double num)

  Sets the beans's `value` property to the `double`.

### setTypedValue

    public void setTypedValue(java.lang.String num)

  Sets the beans's `value` property to the `java.lang.String`. Conversion occurs according to the same rules as `java.lang.Double.valueOf()`.

### setTypedValue

    public void setTypedValue(java.lang.Integer num)

  Sets the beans's `value` property to the `java.lang.Integer`.

### setTypedValue

    public void setTypedValue(int num)

  Sets the beans's `value` property to the `int`.

### setTypedValue

    public void setTypedValue(java.lang.Float num)

  Sets the beans's `value` property to the `java.lang.Float`.

### setTypedValue

    public void setTypedValue(float num)

  Sets the beans's `value` property to the `float`.

### setTypedValue

    public void setTypedValue(java.lang.Double num)

  Sets the beans's `value` property to the `java.lang.Double`.

### setTypedValue

    public void setTypedValue(double num)

  Sets the beans's `value` property to the `double`.

### setTypedValue

    public void setTypedValue(JmlFPNumber num)

  Sets the beans's `value` property to the `JmlFPNumber`.

### equals

    public boolean equals(double num)

  Tests whether the beans's `value` property is equal to `double`.

### typedEquals

    public boolean typedEquals(java.lang.Integer num)

  Tests whether the beans's `value` property is equal to `java.lang.Integer`.

### typedEquals

    public boolean typedEquals(int num)

  Tests whether the beans's `value` property is equal to `int`.

### typedEquals

    public boolean typedEquals(java.lang.Float num)

  Tests whether the beans's `value` property is equal to `java.lang.Float`.

### typedEquals

    public boolean typedEquals(float num)

  Tests whether the beans's `value` property is equal to `float`.

### typedEquals

    public boolean typedEquals(java.lang.Double num)

  Tests whether the beans's `value` property is equal to `java.lang.Double`.

### typedEquals

    public boolean typedEquals(java.lang.String num)

  Tests whether the beans's `value` property is equal to `java.lang.String`. The comparison is made after converting the `java.lang.String` to a `JmlFPNumber`.

### typedEquals

    public boolean typedEquals(JmlFPNumber num)

  Tests whether the beans's `value` property is equal to `JmlFPNumber`.

### toString

    public java.lang.String toString()

  Returns the beans's `value` property as a `java.lang.String`. The `java.lang.String` is represented as `java.lang.Double.toString()`.
  Overrides:
    `toString` in class `java.lang.Object`

Overview | Package | Class | Tree | Deprecated | Index | Help
| Oracle Application Server Containers for J2EE Support for JavaServer Pages API Reference 10g (9.0.4) B10387-01
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © YYYY, Oracle. All Rights Reserved.